
<form name="form" novalidate>


<div id="top_of_dialog">
	<strong>Nuova configurazione  </strong>
</div>

<div style="margin-top: 15p;">
	<table width="95%" style="margin-left:5px; margin-right:5px">
		<tr>
			<td>
				<span ng-bind-html="expressionStringHtml | html">
				</span>
			</td>
		</tr>
	</table>
</div>

<div style="margin-top: 15px">
	<table class="table table-bordered blockContainer showInlineTable equalSplit">
		<thead>
			<tr>
				<th class="blockHeader" colspan="2">Parametri di configurazione</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>DSP
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select name="dsp" id="dsp" ng-model="selectedDsp" ng-options="item.name for item in ctrl.dspList" required>
							</select>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>TIPO UTILIZZO
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select name="utilization" id="utilization" ng-disabled="selectedDsp === undefined"  ng-model="selectedUtilization" ng-options="item.name for item in ctrl.utilizationList | filter: filterUtilizationByDsp()" required>
							</select>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				 <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>OFFERTA COMMERCIALE
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
						<select name="offer" id="offer" ng-disabled="selectedUtilization === undefined" ng-model="selectedOffer" ng-options="item.offering for item in ctrl.commercialOffersList  | filter: filterOffersByDspAndUtilization()" required>
							</select>
						</span>
					</div>
				</td>	
			</tr>	
			<tr ng-show="selectedOffer !== undefined">
				 <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>PARAMETRO DI CONFIGURAZIONE
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
						<select name="offer" id="offer" ng-model="selectedParameter" ng-options="item for item in ctrl.components">
							</select>
						</span>
					</div>
				</td>	
			</tr>
			<tr ng-show="selectedParameter === 'STRINGA'">
				 <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>STRINGA
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							 <input type="text" class="form-control" id="string" placeholder="Inserisci una stringa" ng-model="insertedString">
								<button ng-disabled="form.$invalid" class="btn addButton" style="margin-left:10px;" ng-click="addString()">
									<span class="glyphicon glyphicon-plus"></span>
								</button>
						</span>
					</div>
				</td>				
			</tr>
			<tr ng-show="selectedParameter === 'PERIODO'">
				 <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>FORMATO PERIODO
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
						<select name="offer" id="period" ng-model="insertedPeriod" ng-options="item.description for item in ctrl.periodTypes">
							</select>
						</span>
						<button ng-disabled="form.$invalid" class="btn addButton" style="margin-left:10px;" ng-click="addPeriod()">
									<span class="glyphicon glyphicon-plus"></span>
						</button>
					</div>
				</td>	
			</tr>
			<tr ng-show="selectedParameter === 'TERRITORIO'">
				 <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>FORMATO TERRITORIO
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
						<select name="offer" id="country" ng-model="insertedCountry" ng-options="item.description for item in ctrl.countryTypes">
							</select>
						</span>
						<button ng-disabled="form.$invalid" class="btn addButton" style="margin-left:10px;" ng-click="addCountry()">
									<span class="glyphicon glyphicon-plus"></span>
						</button>
					</div>
				</td>	
			</tr>
			<tr ng-show="selectedParameter === 'TIMESTAMP'">
				 <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>FORMATO TIMESTAMP
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
						<select name="offer" id="timestamp" ng-model="insertedTimeStamp" ng-options="item.description for item in ctrl.timeStampTypes">
							</select>
						</span>
						<button ng-disabled="form.$invalid" class="btn addButton" style="margin-left:10px;" ng-click="addTimeStamp()">
									<span class="glyphicon glyphicon-plus"></span>
						</button>
					</div>
				</td>	
			</tr>
			<tr ng-show="selectedParameter === 'NUMERO REPORT'">
				 <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>FORMATO NUMERO REPORT
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
						<select name="cardinality" id="cardinality" ng-model="insertedCardinality" ng-options="item.description for item in ctrl.cardinalityTypes">
							</select>
						</span>
						<button ng-disabled="form.$invalid" class="btn addButton" style="margin-left:10px;" ng-click="addCardinality()">
									<span class="glyphicon glyphicon-plus"></span>
						</button>
					</div>
				</td>	
			</tr>							
		</tbody>
	</table>
</div>

<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
			<button type="button" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
			</button>
		</td>
		<td align="right">
			<button ng-disabled="invalid()" class="btn addButton" ng-click="save()">
				<span class="glyphicon glyphicon-plus"></span>&nbsp;&nbsp;<strong>Salva</strong>
			</button>
		</td>
	</tr>
	</table>
</div>

</form>

<script type="text/ng-template" id="errorDialogId">
	<div id="target"  >
		<strong>{{ngDialogData}}</strong>
	</div>
</script>

   
<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
